<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" encoding="utf-8"/>
  
  <xsl:template match="/">
    <html>
      <body>
      	<h1>Wszystkie elementy:</h1>
      	<xsl:for-each select="//*">
      		<xsl:call-template name="opisz-element"/>
      	</xsl:for-each>
      	<h1>Zagnieżdżone elementy:</h1>
      	<xsl:for-each select="//*/*/*">
      		<xsl:call-template name="opisz-element"/>
      	</xsl:for-each>
      </body>
    </html>
  </xsl:template>

  <xsl:template name="opisz-element">
    <p>Element o nazwie <xsl:value-of select="name()"/>.</p>
  </xsl:template>
</xsl:stylesheet>
