<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" encoding="utf-8"/>
  
  <xsl:template match="/parametr">
    <html>
      <head>
          <title>Silnia</title>
      </head>
      <body>
        Argument: <b><xsl:value-of select="."/></b><br/>
        Wynik: <b>
        <xsl:call-template name="silnia">
          <xsl:with-param name="n" select="."/>
        </xsl:call-template>
        </b>
      </body>
    </html>
  </xsl:template>

 <!-- Zwracam uwagę na rekursję ogonową, porządny procesor XSLT
      powinien to zauważyć i zoptymalizować. -->

 <xsl:template name="silnia">
  <xsl:param name="n"/>
  <xsl:param name="res" select="1"/>
  <xsl:choose>
  <xsl:when test="$n &gt; 1">
   <xsl:call-template name="silnia">
    <xsl:with-param name="n" select="$n - 1"/>
    <xsl:with-param name="res"
         select="$n * $res"/>
   </xsl:call-template>
   </xsl:when>
   <xsl:otherwise> <xsl:value-of select="$res"/> </xsl:otherwise>
   </xsl:choose>
 </xsl:template>

</xsl:stylesheet>
