<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" encoding="utf-8" />

  <xsl:template match="/lista_studentow">
    <html>
      <head>
        <title>Lista studentów</title>
      </head>
      <body>
        <h1>Lista studentów</h1>
        <table>
        <xsl:apply-templates select="student">
        <xsl:sort select="naz" data-type="text" lang="pl"/>
        </xsl:apply-templates>
        </table>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="student">
    <tr>
      <xsl:apply-templates/>
    </tr>
  </xsl:template>

  <xsl:template match="naz | imi | gr">
    <td>
      <xsl:apply-templates/>
    </td>
  </xsl:template>
</xsl:stylesheet>
